All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
command_queue.hpp File Reference

Implementations of command queue representations. More...

`#include <CL/cl.h>`
`#include <vector>`
`#include <string>`
`#include <sstream>`
`#include "viennacl/ocl/device.hpp"`
`#include "viennacl/ocl/handle.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::ocl::command_queue
| A class representing a command queue. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Detailed Description

Implementations of command queue representations.

Definition in file command_queue.hpp.